| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# NTuple::Item< TYP > Class Template Reference

`#include <NTuple.h>`

Inheritance diagram for NTuple::Item< TYP >:

[legend]
Collaboration diagram for NTuple::Item< TYP >:

[legend]
List of all members.

## Detailed Description

### template<class TYP>
class NTuple::Item< TYP >

Class acting as a smart pointer holding a N tuple _Item.

Definition at line 250 of file NTuple.h.

## Public Member Functions
| Item ()
| Standard Constructor.
| operator const TYP () const
| Automatic type conversion.
TYP | operator * ()
| Dereference operator for pointers.
const TYP | operator * () const
| Dereference operator for pointers(CONST).
Item & | operator++ ()
Item & | operator++ (int)
Item & | operator-- ()
Item & | operator-- (int)
Item & | operator= (const TYP data)
| Assignment operator.
template<class T>
Item & | operator= (const Item< T > &data)
| Assignment operator.
Item< TYP > & | operator+= (const TYP data)
Item< TYP > & | operator-= (const TYP data)
Item< TYP > & | operator *= (const TYP data)
Item< TYP > & | operator/= (const TYP data)
## Private Types
typedef Item< TYP > | _My

## Member Typedef Documentation

template<class TYP>

typedef Item<TYP> NTuple::Item< TYP >::_My`[private]`

Definition at line 251 of file NTuple.h.

## Constructor & Destructor Documentation

template<class TYP>

NTuple::Item< TYP >::Item | ( |  | ) | `[inline]`

Standard Constructor.

Definition at line 254 of file NTuple.h.

    00254 {    }

## Member Function Documentation

template<class TYP>

NTuple::Item< TYP >::operator const TYP | ( |  | ) | const`[inline]`

Automatic type conversion.

Definition at line 256 of file NTuple.h.

References NTuple::_Accessor< TYP >::m_ptr.

    00256 { return this->m_ptr->get();       }

template<class TYP>

TYP NTuple::Item< TYP >::operator * | ( |  | ) | `[inline]`

Dereference operator for pointers.

Definition at line 258 of file NTuple.h.

    00258 { return this->m_ptr->get();       }

template<class TYP>

const TYP NTuple::Item< TYP >::operator * | ( |  | ) | const`[inline]`

Dereference operator for pointers(CONST).

Definition at line 260 of file NTuple.h.

    00260 { return this->m_ptr->get();       }

template<class TYP>

Item& NTuple::Item< TYP >::operator++ | ( |  | ) | `[inline]`

Definition at line 262 of file NTuple.h.

    00262 { return *this += TYP(1);          }

template<class TYP>

Item& NTuple::Item< TYP >::operator++ | ( | int |  | ) | `[inline]`

Definition at line 263 of file NTuple.h.

    00263 { return *this += TYP(1);          }

template<class TYP>

Item& NTuple::Item< TYP >::operator-- | ( |  | ) | `[inline]`

Definition at line 264 of file NTuple.h.

    00264 { return *this -= TYP(1);          }

template<class TYP>

Item& NTuple::Item< TYP >::operator-- | ( | int |  | ) | `[inline]`

Definition at line 265 of file NTuple.h.

    00265 { return *this -= TYP(1);          }

template<class TYP>

Item& NTuple::Item< TYP >::operator= | ( | const TYP | data | ) | `[inline]`

Assignment operator.

Definition at line 267 of file NTuple.h.

    00267                                     {
    00268       this->m_ptr->set( data );
    00269       return *this;
    00270     }

template<class TYP>
template<class T>

Item& NTuple::Item< TYP >::operator= | ( | const Item< T > & | data | ) | `[inline]`

Assignment operator.

Definition at line 273 of file NTuple.h.

    00273                                          {
    00274       this->m_ptr->set( data->get() );
    00275       return *this;
    00276     }

template<class TYP>

Item<TYP>& NTuple::Item< TYP >::operator+= | ( | const TYP | data | ) | `[inline]`

Definition at line 277 of file NTuple.h.

    00277                                                {
    00278       this->m_ptr->set ( this->m_ptr->get() + data );
    00279       return *this;
    00280     }

template<class TYP>

Item<TYP>& NTuple::Item< TYP >::operator-= | ( | const TYP | data | ) | `[inline]`

Definition at line 281 of file NTuple.h.

    00281                                                {
    00282       this->m_ptr->set ( this->m_ptr->get() - data );
    00283       return *this;
    00284     }

template<class TYP>

Item<TYP>& NTuple::Item< TYP >::operator *= | ( | const TYP | data | ) | `[inline]`

Definition at line 285 of file NTuple.h.

    00285                                                {
    00286       this->m_ptr->set ( this->m_ptr->get() * data );
    00287       return *this;
    00288     }

template<class TYP>

Item<TYP>& NTuple::Item< TYP >::operator/= | ( | const TYP | data | ) | `[inline]`

Definition at line 289 of file NTuple.h.

    00289                                                {
    00290       this->m_ptr->set ( this->m_ptr->get() / data );
    00291       return *this;
    00292     }

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/NTuple.h